2019-12-07 16:55 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001437FSSCPmultiplayerpublic2007-07-28 22:21
ReporterTurey 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows XP ProfessionalOS VersionService Pack 2
Product Version3.6.10 
Target VersionFixed in Version3.6.10 
Summary0001437: Assertion hit / CTD when hitting the commit/lock button in TvT
DescriptionThe assertion:
missionshipchoice.cpp(4142): Assert( Ss_wings != NULL );
gets hit when you hit Commit before the other team hits the lock button.
Steps To Reproduce1. Start a TvT game.
2. Have team two refrain from hitting the lock button until all of team one has hit commit.
3. Have team two hit the lock button.
Additional InformationThis only happens in TvT as the lock button is team-specific in TvT, whereas the lock buttons in Co-op and Dogfight unlock everyone at once.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008240

karajorma (administrator)

I'm pretty sure I've already fixed this once. Maybe I didn't commit it to both branches. Was this with HEAD or 3.6.9?

~0008294

Turey (developer)

This was with HEAD.

~0008314

karajorma (administrator)

Looks like I did indeed forget to commit to HEAD. Problem solved.
+Notes

-Issue History
Date Modified Username Field Change
2007-07-15 20:21 Turey New Issue
2007-07-23 16:06 karajorma Note Added: 0008240
2007-07-25 17:24 Turey Note Added: 0008294
2007-07-28 22:21 karajorma Status new => resolved
2007-07-28 22:21 karajorma Fixed in Version => 3.6.10
2007-07-28 22:21 karajorma Resolution open => fixed
2007-07-28 22:21 karajorma Assigned To => karajorma
2007-07-28 22:21 karajorma Note Added: 0008314
+Issue History